<div class="card mt-3">
  <div class="card-header bg-info text-white">
    <h2>Liste des patients</h2>
  </div>
  <div class="card-body">
    <table class="table table-striped">
      <thead>
      <tr>
        <th>#</th>
        <th>Civilité</th>
        <th>Nom</th>
        <th>Prénom</th>
        <th>Num SS</th>
        <th>Email</th>
        <th>Téléphone</th>
        <th>RendezVous</th>
        <th></th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let patient of list()">
        <td>{{patient.nom}}</td>
        <td>{{patient.prenom}}</td>
        <td>{{patient.numeroSS}}</td>
        <td>{{patient.email}}</td>
        <td>{{patient.telephone}}</td>
        <td>{{patient.rendezVous}}</td>
        <td>
          <div class="btn-group btn-group-sm">
            <a class="btn btn-primary" (click)="edit(patient.id)"><i class="fa fa-edit"></i></a>
            <a class="btn btn-danger" (click)="remove(patient.id)"><i class="fa fa-trash"></i></a>
          </div>
        </td>
      </tr>
      </tbody>
    </table>
  </div>
  <div class="card-footer">
    <a class="btn btn-success btn-lg" (click)="add()">
      <i class="fa fa-plus"></i>
    </a>
  </div>

  <div class="card mt-3" *ngIf="patientForm!=null">
    <div class="card-header bg-info text-white">
      <h3>Edition du patient</h3>
    </div>

    <div class="card-body">
      <div class="form-group">
        <label for="nom">Nom:</label>
        <input type="text" class="form-control" id="nom" [(ngModel)]="patientForm.nom">
      </div>
      <div class="form-group">
        <label for="nom">Prenom:</label>
        <input type="text" class="form-control" id="prenom" [(ngModel)]="patientForm.prenom">
      </div>
      <div class="form-group">
        <label for="nom">Email:</label>
        <input type="text" class="form-control" id="email" [(ngModel)]="patientForm.email">
      </div>
      <div class="form-group">
        <label for="nom">Telephone:</label>
        <input type="text" class="form-control" id="telephone" [(ngModel)]="patientForm.telephone">
      </div>
    </div>

    <div class="card-footer">
      <div class="btn-group btn-group-lg float-right">
        <a class="btn btn-success" (click)="save()">
          <i class="fa fa-check"></i>
        </a>
        <a class="btn btn-warning" (click)="cancel()">
          <i class="fa fa-undo"></i>
        </a>
      </div>
    </div>

  </div>
</div>

